<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<form
  [formGroup]="generalForm"
  class="ls-form">

  <div
    *ngIf="userPreferences.showAdminIds"
    class="form-group">
    <label
      for="popupKeyInput"
      [innerText]="commonMessages.ID">
    </label>
    <input
      id="popupKeyInput"
      class="form-control font-monospace"
      type="text"
      [value]="pendingTenant.id"
      disabled>
  </div>

  <div class="form-group">
    <label
      for="popupNameInput"
      [innerText]="commonMessages.NAME">
    </label>
    <input
      id="popupNameInput"
      class="form-control"
      type="text"
      formControlName="nameInput"
      required
      autofocus="true">
  </div>

  <div class="form-group">
    <label
      for="popupZipCodeInput"
      [innerText]="commonMessages.ZIP_CODE">
    </label>
    <input
      id="popupZipCodeInput"
      class="form-control"
      type="text"
      formControlName="zipCodeInput">
  </div>

</form>
